- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QGraphicsWebView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 38 of file qgraphicswebview.h.

`#include <qgraphicswebview.h>`

Inheritance diagram for QGraphicsWebView:
[legend]

List of all members.

## Public Slots
void | stop ()
void | back ()
void | forward ()
void | reload ()
## Signals
void | loadStarted ()
void | loadFinished (bool)
void | loadProgress (int progress)
void | urlChanged (const QUrl &)
void | titleChanged (const QString &)
void | iconChanged ()
void | statusBarMessage (const QString &message)
void | linkClicked (const QUrl &)
## Public Member Functions
| QGraphicsWebView (QGraphicsItem *parent=0)
| ~QGraphicsWebView ()
QWebPage * | page () const
void | setPage (QWebPage *)
QUrl | url () const
void | setUrl (const QUrl &)
QString | title () const
QIcon | icon () const
qreal | zoomFactor () const
void | setZoomFactor (qreal)
bool | isModified () const
void | load (const QUrl &url)
void | load (const QNetworkRequest &request, QNetworkAccessManager::Operation operation=QNetworkAccessManager::GetOperation, const QByteArray &body=QByteArray())
void | setHtml (const QString &html, const QUrl &baseUrl=QUrl())
void | setContent (const QByteArray &data, const QString &mimeType=QString(), const QUrl &baseUrl=QUrl())
QWebHistory * | history () const
QWebSettings * | settings () const
QAction * | pageAction (QWebPage::WebAction action) const
void | triggerPageAction (QWebPage::WebAction action, bool checked=false)
bool | findText (const QString &subString, QWebPage::FindFlags options=0)
bool | resizesToContents () const
void | setResizesToContents (bool enabled)
bool | isTiledBackingStoreFrozen () const
void | setTiledBackingStoreFrozen (bool frozen)
virtual void | setGeometry (const QRectF &rect)
virtual void | updateGeometry ()
virtual void | paint (QPainter *, const QStyleOptionGraphicsItem *options, QWidget *widget=0)
virtual QVariant | itemChange (GraphicsItemChange change, const QVariant &value)
virtual bool | event (QEvent *)
virtual QSizeF | sizeHint (Qt::SizeHint which, const QSizeF &constraint) const
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery query) const
## Protected Member Functions
virtual void | mousePressEvent (QGraphicsSceneMouseEvent *)
virtual void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *)
virtual void | mouseReleaseEvent (QGraphicsSceneMouseEvent *)
virtual void | mouseMoveEvent (QGraphicsSceneMouseEvent *)
virtual void | hoverMoveEvent (QGraphicsSceneHoverEvent *)
virtual void | hoverLeaveEvent (QGraphicsSceneHoverEvent *)
virtual void | wheelEvent (QGraphicsSceneWheelEvent *)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | keyReleaseEvent (QKeyEvent *)
virtual void | contextMenuEvent (QGraphicsSceneContextMenuEvent *)
virtual void | dragEnterEvent (QGraphicsSceneDragDropEvent *)
virtual void | dragLeaveEvent (QGraphicsSceneDragDropEvent *)
virtual void | dragMoveEvent (QGraphicsSceneDragDropEvent *)
virtual void | dropEvent (QGraphicsSceneDragDropEvent *)
virtual void | focusInEvent (QFocusEvent *)
virtual void | focusOutEvent (QFocusEvent *)
virtual void | inputMethodEvent (QInputMethodEvent *)
virtual bool | focusNextPrevChild (bool next)
virtual bool | sceneEvent (QEvent *)
## Properties
QString | title
QIcon | icon
qreal | zoomFactor
QUrl | url
bool | modified
bool | resizesToContents
bool | tiledBackingStoreFrozen
## Friends
class | QGraphicsWebViewPrivate

## Constructor & Destructor Documentation

QGraphicsWebView | ( | QGraphicsItem * | parent = `0` | ) | `[explicit]`

~QGraphicsWebView | ( |  | ) |

## Member Function Documentation

QWebPage* page | ( |  | ) | const

Search for all occurrences

void setPage | ( | QWebPage * |  | ) |

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & |  | ) |

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

qreal zoomFactor | ( |  | ) | const

Search for all occurrences

void setZoomFactor | ( | qreal |  | ) |

Search for all occurrences

bool isModified | ( |  | ) | const

Search for all occurrences

void load | ( | const QUrl & | url | ) |

Search for all occurrences

void load | ( | const QNetworkRequest & | request,
|  | QNetworkAccessManager::Operation | operation = `QNetworkAccessManager::GetOperation`,
|  | const QByteArray & | body = `QByteArray()`
| ) |  |

Search for all occurrences

void setHtml | ( | const QString & | html,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

void setContent | ( | const QByteArray & | data,
|  | const QString & | mimeType = `QString()`,
|  | const QUrl & | baseUrl = `QUrl()`
| ) |  |

Search for all occurrences

QWebHistory* history | ( |  | ) | const

Search for all occurrences

QWebSettings* settings | ( |  | ) | const

Search for all occurrences

QAction* pageAction | ( | QWebPage::WebAction | action | ) | const

Search for all occurrences

void triggerPageAction | ( | QWebPage::WebAction | action,
|  | bool | checked = `false`
| ) |  |

Search for all occurrences

bool findText | ( | const QString & | subString,
|  | QWebPage::FindFlags | options = `0`
| ) |  |

Search for all occurrences

bool resizesToContents | ( |  | ) | const

Search for all occurrences

void setResizesToContents | ( | bool | enabled | ) |

Search for all occurrences

bool isTiledBackingStoreFrozen | ( |  | ) | const

Search for all occurrences

void setTiledBackingStoreFrozen | ( | bool | frozen | ) |

Search for all occurrences

virtual void setGeometry | ( | const QRectF & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void updateGeometry | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void paint | ( | QPainter * | ,
|  | const QStyleOptionGraphicsItem * | options,
|  | QWidget * | widget = `0`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual QVariant itemChange | ( | GraphicsItemChange | change,
|  | const QVariant & | value
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual QSizeF sizeHint | ( | Qt::SizeHint | which,
|  | const QSizeF & | constraint
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual QVariant inputMethodQuery | ( | Qt::InputMethodQuery | query | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void back | ( |  | ) | `[slot]`

Search for all occurrences

void forward | ( |  | ) | `[slot]`

Search for all occurrences

void reload | ( |  | ) | `[slot]`

Search for all occurrences

void loadStarted | ( |  | ) | `[signal]`

Search for all occurrences

void loadFinished | ( | bool |  | ) | `[signal]`

Search for all occurrences

void loadProgress | ( | int | progress | ) | `[signal]`

Search for all occurrences

void urlChanged | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

void titleChanged | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

void iconChanged | ( |  | ) | `[signal]`

Search for all occurrences

void statusBarMessage | ( | const QString & | message | ) | `[signal]`

Search for all occurrences

void linkClicked | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

virtual void mousePressEvent | ( | QGraphicsSceneMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void mouseDoubleClickEvent | ( | QGraphicsSceneMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void mouseReleaseEvent | ( | QGraphicsSceneMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void mouseMoveEvent | ( | QGraphicsSceneMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void hoverMoveEvent | ( | QGraphicsSceneHoverEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void hoverLeaveEvent | ( | QGraphicsSceneHoverEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void wheelEvent | ( | QGraphicsSceneWheelEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void keyReleaseEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void contextMenuEvent | ( | QGraphicsSceneContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void dragEnterEvent | ( | QGraphicsSceneDragDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void dragLeaveEvent | ( | QGraphicsSceneDragDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void dragMoveEvent | ( | QGraphicsSceneDragDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void dropEvent | ( | QGraphicsSceneDragDropEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual void focusInEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void focusOutEvent | ( | QFocusEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual void inputMethodEvent | ( | QInputMethodEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

virtual bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

virtual bool sceneEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsWidget.

## Friends And Related Function Documentation

friend class QGraphicsWebViewPrivate `[friend]`

Search for all occurrences

Definition at line 154 of file qgraphicswebview.h.

## Property Documentation

QString title `[read]`

Search for all occurrences

Definition at line 41 of file qgraphicswebview.h.

QIcon icon `[read]`

Search for all occurrences

Definition at line 42 of file qgraphicswebview.h.

qreal zoomFactor `[read, write]`

Search for all occurrences

Definition at line 43 of file qgraphicswebview.h.

QUrl url `[read, write]`

Search for all occurrences

Definition at line 45 of file qgraphicswebview.h.

bool modified `[read]`

Search for all occurrences

Definition at line 47 of file qgraphicswebview.h.

bool resizesToContents `[read, write]`

Search for all occurrences

Definition at line 48 of file qgraphicswebview.h.

bool tiledBackingStoreFrozen `[read, write]`

Search for all occurrences

Definition at line 49 of file qgraphicswebview.h.

The documentation for this class was generated from the following file:

- QtWebKit/qgraphicswebview.h

QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView
QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView QGraphicsWebView